<!DOCTYPE html>
<html>
<head>
    <title>D3 GeoJSON Example</title>
    <script src="https://d3js.org/d3.v7.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/leaflet/1.9.4/leaflet.js"></script>

</head>

<body>
<style>


    body {
        font-family: "Helvetica Neue", Helvetica, sans-serif;
        font-size: 14px;
        color: #333;
    }

    #content .map path {
        fill: #ddd;
        stroke: #aaa;
    }
    .legend {
        background-color: #f0f0f0;
        border-radius: 8px;
        padding: 5px;
        margin-bottom: 10px;
    }

    .legend-item {
        cursor: pointer;
        margin: 5px;
        padding: 5px;
        border-radius: 5px;
    }

    .selected {
        background-color: pink;
    }

</style>

<div id="content">
    <svg width="800px" height="800px">
        <g class="map"></g>
    </svg>
</div>
<div class="frame">
    <div class="legend" id="legend">
        <!-- Legend items will be dynamically added here -->
    </div>
</div>



<script>
    // 假设你的GeoJSON文件位于本地服务器的根目录下，文件名为"data.geojson"


    let munichCoordinates = [11.58, 48.14];

    let projection = d3.geoMercator()
        .center(munichCoordinates) // 将慕尼黑设置为地图中心
        .scale(100000) // 显著增加缩放值
        .translate([500, 350]); // 可能需要根据实际情况调整这个平移值
    let geoGenerator = d3.geoPath()
        .projection(projection);

    function update(geojson) {
        let u = d3.select('#content g.map')
            .selectAll('path')
            .data(geojson.features);

        u.enter()
            .append('path')
            .attr('d', geoGenerator);
        // var mymap = L.map('map').setView( [48.1371, 11.5754], 13);
        //
        // // 加载一个地图瓦片层
        // L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
        //     attribution: '© OpenStreetMap contributors'
        // }).addTo(mymap);
        //
        // // 创建一个GeoJSON对象
        // var geojsonFeature = {
        //     "type": "FeatureCollection",
        //     "crs": { "type": "name", "properties": { "name": "urn:ogc:def:crs:OGC:1.3:CRS84" } },
        //     "features": [
        //         { "type": "Feature", "properties": { "Shape_Leng": 116000.0, "Shape_Area": 369000000.0 }, "geometry": { "type": "Polygon", "coordinates": [ [ [ 11.692905418274011, 48.156553519554116 ], [ 11.691562260241783, 48.156574131088433 ], [ 11.690219101215137, 48.156594726266093 ], [ 11.688875941194864, 48.156615305087058 ], [ 11.687532780181749, 48.156635867551344 ], [ 11.686189618176583, 48.156656413658894 ], [ 11.68484645518015, 48.156676943409714 ], [ 11.68350329119324, 48.156697456803769 ], [ 11.682160126216642, 48.156717953841039 ], [ 11.680816960251141, 48.156738434521536 ], [ 11.679473793297527, 48.156758898845183 ], [ 11.679444016458957, 48.155859390819487 ], [ 11.679414240963265, 48.154959882419156 ], [ 11.679384466810363, 48.154060373644143 ], [ 11.679354694000164, 48.153160864494367 ], [ 11.679324922532583, 48.152261354969816 ], [ 11.679295152407532, 48.151361845070412 ], [ 11.679265383624926, 48.150462334796103 ], [ 11.679235616184682, 48.149562824146813 ], [ 11.679205850086708, 48.148663313122505 ], [ 11.679176085330921, 48.14776380172313 ], [ 11.68051901440232, 48.147743341583393 ], [ 11.681861942486284, 48.147722865090174 ], [ 11.683204869582029, 48.147702372243479 ], [ 11.684547795688768, 48.14768186304336 ], [ 11.685890720805714, 48.147661337489829 ], [ 11.687233644932077, 48.147640795582873 ], [ 11.688576568067068, 48.147620237322556 ], [ 11.689919490209906, 48.147599662708892 ], [ 11.6912624113598, 48.147579071741859 ], [ 11.692605331515962, 48.147558464421522 ], [ 11.692635334102679, 48.14845797162284 ], [ 11.692665338042294, 48.149357478448863 ], [ 11.692695343334897, 48.150256984899706 ], [ 11.69272534998057, 48.151156490975367 ], [ 11.692755357979404, 48.152055996675912 ], [ 11.692785367331485, 48.15295550200144 ], [ 11.692815378036899, 48.153855006951957 ], [ 11.692845390095734, 48.154754511527543 ], [ 11.692875403508076, 48.155654015728238 ], [ 11.692905418274011, 48.156553519554116 ], [ 11.694248575311034, 48.156532891663161 ], [ 11.695591731352064, 48.156512247415577 ], [ 11.696934886396315, 48.156491586811384 ], [ 11.698278040442998, 48.156470909850626 ], [ 11.699621193491325, 48.156450216533294 ], [ 11.700964345540507, 48.156429506859411 ], [ 11.702307496589757, 48.156408780829011 ], [ 11.703650646638289, 48.156388038442095 ], [ 11.704993795685313, 48.156367279698713 ], [ 11.70633694373004, 48.156346504598851 ], [ 11.707680090771687, 48.15632571314255 ], [ 11.709023236809459, 48.156304905329819 ], [ 11.710366381842578, 48.156284081160685 ], [ 11.711709525870244, 48.156263240635155 ], [ 11.713052668891679, 48.156242383753266 ], [ 11.714395810906092, 48.156221510515039 ], [ 11.715738951912694, 48.156200620920451 ], [ 11.717082091910697, 48.156179714969575 ], [ 11.718425230899317, 48.156158792662431 ], [ 11.719768368877762, 48.156137853998985 ], [ 11.719737878277737, 48.155238358672982 ], [ 11.71970738905274, 48.154338862971741 ], [ 11.719676901202682, 48.153439366895235 ], [ 11.719646414727478, 48.152539870443398 ], [ 11.719615929627038, 48.151640373616161 ], [ 11.71958544590127, 48.150740876413487 ], [ 11.71955496355009, 48.149841378835283 ], [ 11.719524482573409, 48.148941880881566 ], [ 11.719494002971137, 48.148042382552212 ], [ 11.719463524743189, 48.147142883847216 ], [ 11.720806423849128, 48.147121933111634 ], [ 11.722149321944016, 48.147100966023174 ], [ 11.723492219027065, 48.147079982581843 ], [ 11.724835115097488, 48.147058982787655 ], [ 11.726178010154497, 48.147037966640653 ], [ 11.727520904197306, 48.147016934140829 ], [ 11.728863797225127, 48.14699588528822 ], [ 11.730206689237173, 48.146974820082839 ], [ 11.731549580232658, 48.146953738524708 ], [ 11.732892470210793, 48.146932640613855 ], [ 11.732861755557593, 48.146033145831147 ], [ 11.73283104228925, 48.14513365067247 ], [ 11.73280033040567, 48.144234155137774 ], [ 11.732769619906767, 48.143334659226966 ], [ 11.732738910792452, 48.142435162940025 ], [ 11.732708203062638, 48.14153566627688 ], [ 11.732677496717233, 48.140636169237474 ], [ 11.732646791756148, 48.139736671821765 ], [ 11.732616088179295, 48.138837174029703 ], [ 11.732585385986585, 48.137937675861195 ], [ 11.732554685177931, 48.137038177316235 ], [ 11.732523985753241, 48.136138678394744 ], [ 11.73249328771243, 48.135239179096651 ], [ 11.732462591055404, 48.134339679421906 ], [ 11.732431895782076, 48.133440179370467 ], [ 11.732401201892358, 48.132540678942291 ], [ 11.732370509386163, 48.131641178137301 ], [ 11.7323398182634, 48.130741676955431 ], [ 11.73230912852398, 48.129842175396661 ], [ 11.732278440167814, 48.128942673460898 ], [ 11.730936025578954, 48.128963762749471 ], [ 11.729593609974145, 48.128984835691966 ], [ 11.728251193354176, 48.129005892288397 ], [ 11.72690877571983, 48.129026932538743 ], [ 11.725566357071893, 48.129047956442953 ], [ 11.724223937411155, 48.129068964001036 ], [ 11.722881516738401, 48.129089955212983 ], [ 11.721539095054416, 48.129110930078717 ], [ 11.720196672359986, 48.129131888598288 ], [ 11.718854248655898, 48.129152830771638 ], [ 11.718823799268325, 48.128253324164824 ], [ 11.718793351253135, 48.127353817181131 ], [ 11.718762904610237, 48.126454309820467 ], [ 11.718732459339543, 48.125554802082831 ], [ 11.71870201544097, 48.124655293968125 ], [ 11.718671572914424, 48.123755785476334 ], [ 11.718641131759819, 48.122856276607372 ], [ 11.718610691977066, 48.121956767361191 ], [ 11.718580253566078, 48.121057257737732 ], [ 11.718549816526767, 48.120157747736947 ], [ 11.718519380859043, 48.119258237358771 ], [ 11.718488946562822, 48.118358726603162 ], [ 11.718458513638012, 48.117459215470049 ], [ 11.718428082084527, 48.116559703959389 ], [ 11.718397651902277, 48.115660192071125 ], [ 11.718367223091176, 48.11476067980518 ], [ 11.718336795651137, 48.113861167161538 ], [ 11.71830636958207, 48.112961654140122 ], [ 11.718275944883885, 48.112062140740861 ], [ 11.718245521556497, 48.111162626963733 ], [ 11.718215099599819, 48.110263112808667 ], [ 11.718184679013762, 48.109363598275586 ], [ 11.718154259798236, 48.10846408336446 ], [ 11.718123841953156, 48.107564568075233 ], [ 11.718093425478431, 48.106665052407848 ], [ 11.718063010373974, 48.105765536362249 ], [ 11.7180325966397, 48.104866019938356 ], [ 11.718002184275518, 48.103966503136157 ], [ 11.71797177328134, 48.103066985955564 ], [ 11.717941363657079, 48.10216746839653 ], [ 11.717910955402647, 48.101267950459025 ], [ 11.717880548517959, 48.100368432142943 ], [ 11.717850143002922, 48.099468913448263 ], [ 11.717819738857449, 48.098569394374934 ], [ 11.717789336081454, 48.097669874922879 ], [ 11.717758934674851, 48.09677035509204 ], [ 11.717728534637549, 48.095870834882398 ], [ 11.71769813596946, 48.094971314293865 ], [ 11.717667738670498, 48.094071793326378 ], [ 11.717637342740574, 48.093172271979924 ], [ 11.716295867551056, 48.093193180719815 ], [ 11.714954391356223, 48.093214073126788 ], [ 11.713612914156863, 48.09323494920082 ], [ 11.71227143595376, 48.09325580894189 ], [ 11.7109299567477, 48.093276652349978 ], [ 11.70958847653946, 48.093297479425068 ], [ 11.708246995329832, 48.093318290167126 ], [ 11.706905513119596, 48.093339084576144 ], [ 11.705564029909535, 48.093359862652086 ], [ 11.704222545700434, 48.09338062439496 ], [ 11.702881060493079, 48.093401369804738 ], [ 11.701539574288255, 48.093422098881391 ], [ 11.70019808708674, 48.093442811624918 ], [ 11.698856598889323, 48.093463508035249 ], [ 11.697515109696786, 48.093484188112434 ], [ 11.696173619509917, 48.093504851856402 ], [ 11.694832128329494, 48.093525499267173 ], [ 11.693490636156303, 48.093546130344691 ], [ 11.692149142991132, 48.093566745088943 ], [ 11.690807648834761, 48.093587343499934 ], [ 11.690777728610801, 48.092687813302234 ], [ 11.690747809734363, 48.091788282725815 ], [ 11.690717892205365, 48.090888751770635 ], [ 11.690687976023717, 48.089989220436614 ], [ 11.690658061189335, 48.089089688723739 ], [ 11.690628147702132, 48.088190156631931 ], [ 11.690598235562021, 48.087290624161128 ], [ 11.690568324768915, 48.086391091311292 ], [ 11.690538415322729, 48.085491558082353 ], [ 11.690508507223377, 48.084592024474269 ], [ 11.690478600470772, 48.083692490486968 ], [ 11.690448695064825, 48.0827929561204 ], [ 11.690418791005454, 48.081893421374502 ], [ 11.690388888292569, 48.080993886249239 ], [ 11.690358986926087, 48.080094350744552 ], [ 11.690329086905919, 48.079194814860365 ], [ 11.690299188231981, 48.078295278596649 ], [ 11.690269290904181, 48.077395741953332 ], [ 11.690239394922443, 48.076496204930365 ], [ 11.69020950028667, 48.07559666752767 ], [ 11.688868479288647, 48.075617241206821 ], [ 11.687527457302357, 48.075637798559278 ], [ 11.68618643432858, 48.07565833958509 ], [ 11.6848454103681, 48.075678864284185 ], [ 11.683504385421701, 48.075699372656558 ], [ 11.682163359490165, 48.075719864702215 ], [ 11.680822332574278, 48.075740340421099 ], [ 11.679481304674818, 48.07576079981321 ], [ 11.678140275792574, 48.075781242878534 ], [ 11.676799245928322, 48.075801669617029 ], [ 11.67545821508285, 48.075822080028708 ], [ 11.674117183256943, 48.075842474113529 ], [ 11.672776150451378, 48.075862851871484 ], [ 11.671435116666943, 48.075883213302539 ], [ 11.670094081904416, 48.075903558406694 ], [ 11.668753046164586, 48.075923887183897 ], [ 11.667412009448233, 48.075944199634172 ], [ 11.66607097175614, 48.075964495757482 ], [ 11.66472993308909, 48.075984775553792 ], [ 11.663388893447868, 48.076005039023102 ], [ 11.662047852833254, 48.07602528616539 ], [ 11.660706811246035, 48.076045516980642 ], [ 11.659365768686989, 48.076065731468816 ], [ 11.658024725156904, 48.076085929629912 ], [ 11.656683680656561, 48.076106111463908 ], [ 11.655342635186743, 48.076126276970783 ], [ 11.654001588748235, 48.076146426150522 ], [ 11.652660541341817, 48.07616655900312 ], [ 11.651319492968275, 48.076186675528533 ], [ 11.64997844362839, 48.076206775726732 ], [ 11.648637393322945, 48.076226859597732 ], [ 11.647296342052726, 48.076246927141476 ], [ 11.645955289818513, 48.076266978357985 ], [ 11.644614236621091, 48.076287013247217 ], [ 11.643273182461243, 48.076307031809158 ], [ 11.641932127339752, 48.0763270340438 ], [ 11.640591071257401, 48.076347019951108 ], [ 11.639250014214973, 48.076366989531067 ], [ 11.63790895621325, 48.076386942783664 ], [ 11.636567897253018, 48.07640687970887 ], [ 11.635226837335059, 48.07642680030667 ], [ 11.633885776460154, 48.076446704577059 ], [ 11.632544714629091, 48.076466592519999 ], [ 11.63120365184265, 48.076486464135471 ], [ 11.629862588101613, 48.076506319423487 ], [ 11.628521523406766, 48.076526158383984 ], [ 11.627180457758891, 48.07654598101697 ], [ 11.62583939115877, 48.076565787322437 ], [ 11.624498323607188, 48.076585577300335 ], [ 11.62315725510493, 48.076605350950658 ], [ 11.623185964792912, 48.077504908932895 ], [ 11.623214675773571, 48.078404466536384 ], [ 11.623243388046987, 48.079304023761182 ], [ 11.623272101613244, 48.080203580607318 ], [ 11.623300816472424, 48.081103137074884 ], [ 11.623329532624613, 48.082002693163929 ], [ 11.623358250069892, 48.082902248874504 ], [ 11.623386968808342, 48.083801804206651 ], [ 11.623415688840049, 48.084701359160448 ], [ 11.623444410165094, 48.085600913735924 ], [ 11.622103103658498, 48.085620675090574 ], [ 11.620761796202135, 48.085640420114295 ], [ 11.619420487796793, 48.085660148807044 ], [ 11.618079178443251, 48.085679861168835 ], [ 11.616737868142295, 48.085699557199618 ], [ 11.615396556894709, 48.085719236899386 ], [ 11.614055244701275, 48.085738900268147 ], [ 11.61271393156278, 48.085758547305836 ], [ 11.611372617480004, 48.085778178012461 ], [ 11.610031302453736, 48.085797792388 ], [ 11.610002818234056, 48.084898233794753 ], [ 11.609974335297048, 48.083998674823377 ], [ 11.609945853642634, 48.083099115473807 ], [ 11.609917373270726, 48.082199555746037 ], [ 11.609888894181243, 48.081299995639959 ], [ 11.609860416374104, 48.080400435155568 ], [ 11.609831939849226, 48.079500874292769 ], [ 11.609803464606529, 48.0786013130515 ], [ 11.609774990645928, 48.077701751431725 ], [ 11.609746517967341, 48.076802189433401 ], [ 11.608405439059315, 48.076821783479211 ], [ 11.60706435921001, 48.076841361197211 ], [ 11.605723278420209, 48.076860922587429 ], [ 11.604382196690697, 48.076880467649787 ], [ 11.603041114022254, 48.076899996384313 ], [ 11.601700030415666, 48.076919508790958 ], [ 11.600358945871713, 48.076939004869722 ], [ 11.599017860391186, 48.076958484620583 ], [ 11.597676773974857, 48.07697794804352 ], [ 11.596335686623519, 48.076997395138498 ], [ 11.594994598337951, 48.077016825905531 ], [ 11.593653509118937, 48.07703624034459 ], [ 11.592312418967259, 48.07705563845564 ], [ 11.590971327883706, 48.077075020238681 ], [ 11.589630235869054, 48.077094385693691 ], [ 11.588289142924088, 48.077113734820642 ], [ 11.586948049049594, 48.077133067619528 ], [ 11.585606954246355, 48.077152384090326 ], [ 11.584265858515153, 48.077171684233015 ], [ 11.582924761856772, 48.077190968047582 ], [ 11.582952760497157, 48.078090537978269 ], [ 11.582980760398236, 48.078990107530785 ], [ 11.583008761560087, 48.079889676705129 ], [ 11.583036763982792, 48.080789245501414 ], [ 11.58306476766643, 48.081688813919655 ], [ 11.583092772611083, 48.08258838195993 ], [ 11.583120778816832, 48.083487949622281 ], [ 11.583148786283759, 48.084387516906787 ], [ 11.583176795011944, 48.085287083813476 ], [ 11.583204805001468, 48.086186650342412 ], [ 11.581863470342871, 48.0862059217609 ], [ 11.58052213475802, 48.086225176847897 ], [ 11.579180798247705, 48.086244415603389 ], [ 11.57783946081271, 48.086263638027347 ], [ 11.576498122453813, 48.086282844119779 ], [ 11.575156783171803, 48.086302033880614 ], [ 11.573815442967463, 48.086321207309901 ], [ 11.572474101841577, 48.086340364407576 ], [ 11.571132759794928, 48.086359505173633 ], [ 11.5697914168283, 48.086378629608056 ], [ 11.569763643963457, 48.085479059161209 ], [ 11.569735872349286, 48.084579488336779 ], [ 11.569708101985706, 48.083679917134759 ], [ 11.569680332872636, 48.08278034555503 ], [ 11.569652565009998, 48.081880773597582 ], [ 11.569624798397708, 48.080981201262347 ], [ 11.56959703303569, 48.080081628549259 ], [ 11.569569268923861, 48.079182055458276 ], [ 11.569541506062141, 48.078282481989334 ], [ 11.569513744450452, 48.077382908142383 ], [ 11.568172637644802, 48.077402012346361 ], [ 11.566831529921377, 48.077421100222033 ], [ 11.565490421280956, 48.077440171769318 ], [ 11.564149311724323, 48.077459226988218 ], [ 11.56280820125226, 48.077478265878746 ], [ 11.561467089865555, 48.077497288440846 ], [ 11.560125977564988, 48.077516294674531 ], [ 11.558784864351344, 48.077535284579746 ], [ 11.557443750225403, 48.077554258156503 ], [ 11.556102635187953, 48.077573215404776 ], [ 11.556075111850573, 48.076673637296942 ], [ 11.556047589752399, 48.075774058811163 ], [ 11.556020068893355, 48.074874479947411 ], [ 11.555992549273359, 48.073974900705593 ], [ 11.555965030892335, 48.073075321085653 ], [ 11.555937513750198, 48.072175741087548 ], [ 11.55590999784687, 48.071276160711243 ], [ 11.555882483182277, 48.070376579956644 ], [ 11.555854969756332, 48.069476998823717 ], [ 11.555827457568961, 48.068577417312405 ], [ 11.555799946620082, 48.067677835422657 ], [ 11.555772436909619, 48.066778253154396 ], [ 11.555744928437489, 48.065878670507594 ], [ 11.555717421203612, 48.064979087482172 ], [ 11.55568991520791, 48.06407950407808 ], [ 11.555662410450305, 48.063179920295291 ], [ 11.555634906930715, 48.062280336133703 ], [ 11.555607404649065, 48.06138075159329 ], [ 11.55557990360527, 48.060481166673995 ], [ 11.555552403799254, 48.059581581375738 ], [ 11.554211761704217, 48.059600514569915 ], [ 11.552871118700489, 48.059619431442236 ], [ 11.55153047478885, 48.059638331992659 ], [ 11.550189829970083, 48.059657216221183 ], [ 11.548849184244972, 48.059676084127787 ], [ 11.5475085376143, 48.059694935712443 ], [ 11.546167890078848, 48.059713770975158 ], [ 11.544827241639398, 48.059732589915896 ], [ 11.543486592296732, 48.059751392534622 ], [ 11.542145942051635, 48.05977017883135 ], [ 11.542173205029481, 48.060669767975718 ], [ 11.542200469234455, 48.06156935674133 ], [ 11.542227734666636, 48.062468945128217 ], [ 11.542255001326104, 48.06336853313644 ], [ 11.542282269212938, 48.064268120766087 ], [ 11.542309538327213, 48.065167708017199 ], [ 11.54233680866901, 48.06606729488982 ], [ 11.542364080238411, 48.066966881384005 ], [ 11.542391353035489, 48.067866467499798 ], [ 11.542418627060325, 48.06876605323729 ], [ 11.541077739034053, 48.068784827040631 ], [ 11.539736850106291, 48.068803584518591 ], [ 11.538395960277823, 48.068822325671157 ], [ 11.537055069549435, 48.068841050498328 ], [ 11.535714177921905, 48.068859759000063 ], [ 11.53437328539602, 48.06887845117636 ], [ 11.533032391972563, 48.068897127027199 ], [ 11.531691497652314, 48.068915786552566 ], [ 11.530350602436059, 48.068934429752431 ], [ 11.52900970632458, 48.068953056626775 ], [ 11.528982669229997, 48.068053467074819 ], [ 11.528955633352515, 48.067153877144726 ], [ 11.52892859869206, 48.06625428683644 ], [ 11.52890156524855, 48.065354696149875 ], [ 11.528874533021908, 48.06445510508501 ], [ 11.528847502012058, 48.063555513641795 ], [ 11.52882047221892, 48.062655921820152 ], [ 11.528793443642414, 48.061756329620032 ], [ 11.528766416282467, 48.060856737041377 ], [ 11.528739390138998, 48.059957144084137 ], [ 11.527398730018783, 48.05997575083758 ], [ 11.526058069005524, 48.059994341268805 ], [ 11.524717407100004, 48.060012915377783 ], [ 11.523376744303006, 48.060031473164514 ], [ 11.522036080615312, 48.06005001462897 ], [ 11.520695416037706, 48.060068539771123 ], [ 11.519354750570967, 48.060087048590972 ], [ 11.518014084215881, 48.060105541088497 ], [ 11.516673416973228, 48.060124017263675 ], [ 11.515332748843793, 48.060142477116493 ], [ 11.513992079828355, 48.060160920646943 ], [ 11.512651409927704, 48.060179347854962 ], [ 11.511310739142612, 48.060197758740607 ], [ 11.509970067473867, 48.060216153303799 ], [ 11.508629394922254, 48.060234531544559 ], [ 11.507288721488552, 48.060252893462838 ], [ 11.505948047173542, 48.060271239058629 ], [ 11.504607371978011, 48.060289568331946 ], [ 11.503266695902738, 48.060307881282718 ], [ 11.501926018948508, 48.060326177910959 ], [ 11.501952571404818, 48.061225778394181 ], [ 11.501979125056303, 48.062125378499175 ], [ 11.502005679903043, 48.063024978225982 ], [ 11.502032235945114, 48.06392457757466 ], [ 11.502058793182588, 48.064824176545272 ], [ 11.502085351615547, 48.065723775137847 ], [ 11.502111911244063, 48.066623373352499 ], [ 11.502138472068216, 48.067522971189227 ], [ 11.502165034088083, 48.06842256864811 ], [ 11.502191597303739, 48.069322165729204 ], [ 11.500850682573429, 48.069340449763757 ], [ 11.499509766965122, 48.069358717472404 ], [ 11.498168850479601, 48.069376968855153 ], [ 11.496827933117649, 48.069395203911967 ], [ 11.495487014880048, 48.069413422642846 ], [ 11.494146095767585, 48.069431625047727 ], [ 11.492805175781038, 48.06944981112666 ], [ 11.491464254921192, 48.069467980879573 ], [ 11.490123333188833, 48.069486134306494 ], [ 11.48878241058474, 48.069504271407354 ], [ 11.487441487109697, 48.069522392182172 ], [ 11.48610056276449, 48.069540496630943 ], [ 11.484759637549898, 48.069558584753601 ], [ 11.483418711466706, 48.069576656550176 ], [ 11.482077784515699, 48.069594712020631 ], [ 11.480736856697655, 48.069612751164946 ], [ 11.479395928013364, 48.069630773983114 ], [ 11.478054998463605, 48.069648780475113 ], [ 11.476714068049162, 48.069666770640922 ], [ 11.47537313677082, 48.069684744480526 ], [ 11.475399227257896, 48.07058434858029 ], [ 11.475425318919596, 48.071483952302728 ], [ 11.475451411756, 48.072383555647868 ], [ 11.475477505767177, 48.073283158615787 ], [ 11.475503600953205, 48.074182761206529 ], [ 11.475529697314162, 48.075082363420165 ], [ 11.475555794850118, 48.075981965256759 ], [ 11.47558189356115, 48.076881566716345 ], [ 11.475607993447337, 48.077781167798967 ], [ 11.47563409450875, 48.078680768504711 ], [ 11.474292925350817, 48.078698729682131 ], [ 11.47295175532995, 48.078716674529993 ], [ 11.471610584446941, 48.078734603048268 ], [ 11.470269412702569, 48.078752515236935 ], [ 11.46892824009762, 48.078770411095995 ], [ 11.467587066632879, 48.078788290625404 ], [ 11.466245892309127, 48.078806153825198 ], [ 11.464904717127149, 48.078824000695306 ], [ 11.463563541087728, 48.078841831235735 ], [ 11.462222364191648, 48.078859645446457 ], [ 11.462248229350575, 48.079759249425358 ], [ 11.462274095674211, 48.080658853027643 ], [ 11.462299963162636, 48.08155845625339 ], [ 11.462325831815919, 48.08245805910262 ], [ 11.462351701634139, 48.083357661575413 ], [ 11.462377572617374, 48.084257263671816 ], [ 11.462403444765691, 48.085156865391909 ], [ 11.462429318079169, 48.086056466735698 ], [ 11.462455192557881, 48.086956067703291 ], [ 11.462481068201903, 48.087855668294708 ], [ 11.462506945011311, 48.088755268510013 ], [ 11.462532822986178, 48.089654868349271 ], [ 11.462558702126579, 48.090554467812531 ], [ 11.462584582432589, 48.09145406689985 ], [ 11.462610463904282, 48.092353665611277 ], [ 11.462636346541732, 48.093253263946885 ], [ 11.462662230345018, 48.094152861906707 ], [ 11.462688115314212, 48.095052459490809 ], [ 11.462714001449386, 48.095952056699261 ], [ 11.462739888750619, 48.096851653532099 ], [ 11.462765777217985, 48.097751249989379 ], [ 11.46279166685156, 48.098650846071166 ], [ 11.462817557651414, 48.099550441777509 ], [ 11.462843449617628, 48.10045003710848 ], [ 11.462869342750272, 48.101349632064121 ], [ 11.462895237049423, 48.102249226644481 ], [ 11.462921132515156, 48.103148820849626 ], [ 11.462947029147546, 48.104048414679603 ], [ 11.462972926946666, 48.1049480081345 ], [ 11.462998825912592, 48.105847601214307 ], [ 11.463024726045402, 48.106747193919141 ], [ 11.463050627345163, 48.107646786249042 ], [ 11.463076529811959, 48.108546378204046 ], [ 11.463102433445862, 48.109445969784225 ], [ 11.463128338246941, 48.110345560989629 ], [ 11.463154244215279, 48.111245151820327 ], [ 11.463180151350947, 48.112144742276342 ], [ 11.463206059654022, 48.113044332357788 ], [ 11.463231969124575, 48.113943922064657 ], [ 11.463257879762683, 48.114843511397034 ], [ 11.463283791568422, 48.11574310035499 ], [ 11.463309704541867, 48.116642688938541 ], [ 11.463335618683093, 48.117542277147784 ], [ 11.463361533992172, 48.118441864982742 ], [ 11.463387450469185, 48.119341452443493 ], [ 11.4634133681142, 48.120241039530086 ], [ 11.463439286927295, 48.121140626242557 ], [ 11.463465206908547, 48.122040212580991 ], [ 11.463491128058029, 48.122939798545445 ], [ 11.463517050375817, 48.123839384135941 ], [ 11.462174685910622, 48.123857200196106 ], [ 11.460832320587384, 48.123874999909873 ], [ 11.459489954406893, 48.123892783277221 ], [ 11.458147587369933, 48.123910550298135 ], [ 11.456805219477287, 48.123928300972601 ], [ 11.455462850729747, 48.123946035300612 ], [ 11.454120481128099, 48.123963753282133 ], [ 11.452778110673124, 48.12398145491715 ], [ 11.451435739365614, 48.123999140205676 ], [ 11.450093367206355, 48.124016809147648 ], [ 11.448750994196132, 48.124034461743079 ], [ 11.447408620335731, 48.124052097991935 ], [ 11.446066245625937, 48.12406971789423 ], [ 11.444723870067543, 48.124087321449906 ], [ 11.443381493661327, 48.124104908658978 ], [ 11.442039116408084, 48.124122479521432 ], [ 11.440696738308594, 48.124140034037211 ], [ 11.439354359363646, 48.124157572206343 ], [ 11.438011979574025, 48.124175094028786 ], [ 11.43666959894052, 48.124192599504525 ], [ 11.435327217463916, 48.124210088633561 ], [ 11.433984835145001, 48.124227561415857 ], [ 11.432642451984561, 48.124245017851422 ], [ 11.431300067983381, 48.124262457940212 ], [ 11.429957683142248, 48.124279881682213 ], [ 11.428615297461949, 48.124297289077425 ], [ 11.427272910943271, 48.124314680125828 ], [ 11.425930523586999, 48.124332054827399 ], [ 11.424588135393922, 48.124349413182117 ], [ 11.423245746364826, 48.124366755189968 ], [ 11.421903356500495, 48.124384080850959 ], [ 11.42056096580172, 48.124401390165033 ], [ 11.419218574269282, 48.124418683132205 ], [ 11.417876181903972, 48.124435959752446 ], [ 11.416533788706577, 48.124453220025757 ], [ 11.415191394677878, 48.124470463952086 ], [ 11.413848999818667, 48.124487691531449 ], [ 11.412506604129728, 48.124504902763817 ], [ 11.411164207611851, 48.124522097649162 ], [ 11.409821810265818, 48.124539276187498 ], [ 11.408479412092419, 48.124556438378789 ], [ 11.40713701309244, 48.124573584223015 ], [ 11.405794613266664, 48.124590713720167 ], [ 11.404452212615883, 48.124607826870232 ], [ 11.403109811140881, 48.124624923673196 ], [ 11.401767408842444, 48.124642004129036 ], [ 11.400425005721361, 48.124659068237719 ], [ 11.399082601778415, 48.124676115999272 ], [ 11.397740197014397, 48.12469314741363 ], [ 11.39639779143009, 48.12471016248081 ], [ 11.395055385026282, 48.124727161200781 ], [ 11.39371297780376, 48.124744143573544 ], [ 11.392370569763312, 48.124761109599042 ], [ 11.391028160905719, 48.124778059277318 ], [ 11.389685751231776, 48.124794992608308 ], [ 11.388343340742262, 48.124811909592033 ], [ 11.387000929437967, 48.12482881022845 ], [ 11.38565851731968, 48.124845694517539 ], [ 11.384316104388184, 48.124862562459306 ], [ 11.382973690644267, 48.124879414053723 ], [ 11.382998188336266, 48.125779020520596 ], [ 11.383022687132504, 48.126678626614655 ], [ 11.383047187033055, 48.127578232335928 ], [ 11.383071688037987, 48.128477837684471 ], [ 11.38309619014737, 48.129377442660349 ], [ 11.383120693361279, 48.130277047263597 ], [ 11.383145197679783, 48.131176651494307 ], [ 11.383169703102951, 48.132076255352509 ], [ 11.383194209630854, 48.132975858838286 ], [ 11.383218717263567, 48.133875461951646 ], [ 11.383243226001158, 48.13477506469269 ], [ 11.383267735843697, 48.135674667061437 ], [ 11.383292246791257, 48.136574269057981 ], [ 11.383316758843909, 48.137473870682342 ], [ 11.383341272001722, 48.138373471934621 ], [ 11.38336578626477, 48.139273072814817 ], [ 11.383390301633124, 48.140172673323008 ], [ 11.383414818106852, 48.14107227345928 ], [ 11.383439335686024, 48.141971873223653 ], [ 11.383463854370715, 48.142871472616186 ], [ 11.382120964312207, 48.142888314746138 ], [ 11.38077807344173, 48.142905140522025 ], [ 11.379435181760078, 48.142921949943855 ], [ 11.378092289268032, 48.142938743011577 ], [ 11.376749395966383, 48.142955519725199 ], [ 11.37540650185592, 48.142972280084706 ], [ 11.374063606937428, 48.142989024090078 ], [ 11.372720711211699, 48.143005751741278 ], [ 11.371377814679516, 48.143022463038321 ], [ 11.370034917341668, 48.143039157981185 ], [ 11.370059199265471, 48.143938760430053 ], [ 11.370083482284217, 48.14483836250735 ], [ 11.370107766397972, 48.14573796421314 ], [ 11.370132051606811, 48.146637565547508 ], [ 11.370156337910801, 48.147537166510446 ], [ 11.370180625310015, 48.148436767102069 ], [ 11.370204913804525, 48.149336367322405 ], [ 11.370229203394395, 48.150235967171518 ], [ 11.3702534940797, 48.151135566649444 ], [ 11.370277785860509, 48.152035165756274 ], [ 11.368934649800007, 48.152051847755374 ], [ 11.367591512934862, 48.15206851339692 ], [ 11.36624837526586, 48.152085162680891 ], [ 11.364905236793794, 48.152101795607265 ], [ 11.363562097519448, 48.152118412176037 ], [ 11.362218957443615, 48.152135012387184 ], [ 11.360875816567077, 48.152151596240714 ], [ 11.359532674890628, 48.152168163736576 ], [ 11.358189532415054, 48.152184714874785 ], [ 11.356846389141145, 48.152201249655285 ], [ 11.356870444038286, 48.153100851787336 ], [ 11.356894500020346, 48.154000453548527 ], [ 11.356918557087397, 48.154900054938949 ], [ 11.356942615239507, 48.15579965595861 ], [ 11.356966674476746, 48.156699256607602 ], [ 11.356990734799185, 48.157598856885976 ], [ 11.35701479620689, 48.158498456793765 ], [ 11.357038858699935, 48.159398056331071 ], [ 11.357062922278388, 48.160297655497921 ], [ 11.357086986942319, 48.161197254294351 ], [ 11.357111052691796, 48.162096852720452 ], [ 11.357135119526891, 48.162996450776248 ], [ 11.357159187447674, 48.163896048461837 ], [ 11.357183256454213, 48.164795645777232 ], [ 11.357207326546579, 48.165695242722514 ], [ 11.357231397724842, 48.16659483929773 ], [ 11.357255469989072, 48.167494435502931 ], [ 11.357279543339338, 48.168394031338188 ], [ 11.357303617775708, 48.169293626803558 ], [ 11.357327693298256, 48.170193221899055 ], [ 11.357351769907048, 48.171092816624792 ], [ 11.357375847602157, 48.171992410980778 ], [ 11.35739992638365, 48.172892004967117 ], [ 11.3574240062516, 48.173791598583826 ], [ 11.357448087206073, 48.174691191830959 ], [ 11.357472169247142, 48.175590784708589 ], [ 11.357496252374876, 48.17649037721678 ], [ 11.357520336589344, 48.177389969355566 ], [ 11.357544421890617, 48.17828956112502 ], [ 11.357568508278764, 48.179189152525183 ], [ 11.3589123659647, 48.179172607594097 ], [ 11.360256222850646, 48.179156046295276 ], [ 11.361600078935814, 48.179139468628776 ], [ 11.362943934219409, 48.179122874594576 ], [ 11.364287788700643, 48.179106264192711 ], [ 11.365631642378728, 48.179089637423196 ], [ 11.366975495252873, 48.179072994286038 ], [ 11.368319347322288, 48.179056334781265 ], [ 11.369663198586183, 48.179039658908891 ], [ 11.371007049043765, 48.179022966668903 ], [ 11.372350898694249, 48.179006258061349 ], [ 11.373694747536842, 48.178989533086238 ], [ 11.375038595570754, 48.178972791743575 ], [ 11.376382442795196, 48.178956034033391 ], [ 11.377726289209377, 48.178939259955705 ], [ 11.37907013481251, 48.17892246951051 ], [ 11.380413979603802, 48.178905662697836 ], [ 11.381757823582463, 48.178888839517704 ], [ 11.383101666747706, 48.178871999970127 ], [ 11.384445509098736, 48.178855144055099 ], [ 11.384470073170867, 48.179754728250515 ], [ 11.384494638351505, 48.18065431207642 ], [ 11.38451920464072, 48.1815538955329 ], [ 11.384543772038583, 48.182453478619983 ], [ 11.384568340545165, 48.183353061337762 ], [ 11.38459291016054, 48.18425264368625 ], [ 11.384617480884776, 48.185152225665554 ], [ 11.384642052717945, 48.186051807275689 ], [ 11.384666625660119, 48.186951388516725 ], [ 11.384691199711371, 48.187850969388705 ], [ 11.38471577487177, 48.188750549891715 ], [ 11.384740351141389, 48.189650130025768 ], [ 11.384764928520298, 48.19054970979095 ], [ 11.384789507008568, 48.191449289187325 ], [ 11.384814086606271, 48.192348868214907 ], [ 11.384838667313478, 48.193248446873788 ], [ 11.384863249130262, 48.194148025164019 ], [ 11.384887832056695, 48.195047603085655 ], [ 11.384912416092844, 48.195947180638726 ], [ 11.384937001238784, 48.196846757823337 ], [ 11.384961587494587, 48.19774633463949 ], [ 11.38498617486032, 48.198645911087283 ], [ 11.385010763336059, 48.199545487166752 ], [ 11.385035352921873, 48.200445062877954 ], [ 11.385059943617835, 48.201344638220952 ], [ 11.385084535424014, 48.20224421319579 ], [ 11.385109128340485, 48.203143787802524 ], [ 11.385133722367318, 48.204043362041219 ], [ 11.385158317504581, 48.204942935911937 ], [ 11.385182913752349, 48.205842509414701 ], [ 11.386527470634036, 48.205825626766554 ], [ 11.387872026698238, 48.20580872774093 ], [ 11.389216581944169, 48.205791812337893 ], [ 11.390561136371035, 48.205774880557435 ], [ 11.391905689978048, 48.205757932399564 ], [ 11.393250242764411, 48.205740967864322 ], [ 11.394594794729338, 48.205723986951718 ], [ 11.395939345872032, 48.205706989661756 ], [ 11.397283896191706, 48.205689975994467 ], [ 11.398628445687564, 48.20567294594985 ], [ 11.399972994358819, 48.20565589952794 ], [ 11.401317542204675, 48.205638836728752 ], [ 11.402662089224345, 48.205621757552279 ], [ 11.404006635417035, 48.205604661998549 ], [ 11.405351180781954, 48.205587550067591 ], [ 11.406695725318311, 48.205570421759411 ], [ 11.408040269025312, 48.205553277074038 ], [ 11.40938481190217, 48.205536116011466 ], [ 11.410729353948087, 48.205518938571707 ], [ 11.412073895162278, 48.205501744754812 ], [ 11.413418435543946, 48.205484534560767 ], [ 11.414762975092305, 48.205467307989615 ], [ 11.416107513806558, 48.205450065041347 ], [ 11.417452051685919, 48.205432805715979 ], [ 11.418796588729593, 48.20541553001356 ], [ 11.420141124936791, 48.205398237934062 ], [ 11.421485660306717, 48.205380929477528 ], [ 11.422830194838582, 48.205363604643971 ], [ 11.424174728531597, 48.205346263433405 ], [ 11.425519261384967, 48.20532890584586 ], [ 11.425544574564467, 48.206228468461745 ], [ 11.42556988888691, 48.207128030709328 ], [ 11.425595204352373, 48.208027592588635 ], [ 11.425620520960925, 48.208927154099761 ], [ 11.42564583871264, 48.209826715242748 ], [ 11.425671157607594, 48.210726276017631 ], [ 11.425696477645857, 48.211625836424503 ], [ 11.425721798827507, 48.212525396463377 ], [ 11.425747121152614, 48.213424956134347 ], [ 11.425772444621254, 48.214324515437447 ], [ 11.427117215280775, 48.214307137913885 ], [ 11.428461985098492, 48.214289744010024 ], [ 11.429806754073608, 48.214272333725845 ], [ 11.431151522205331, 48.214254907061409 ], [ 11.432496289492873, 48.214237464016705 ], [ 11.433841055935437, 48.214220004591766 ], [ 11.435185821532237, 48.214202528786579 ], [ 11.436530586282474, 48.214185036601201 ], [ 11.43787535018536, 48.214167528035631 ], [ 11.439220113240104, 48.214150003089863 ], [ 11.44056487544591, 48.214132461763946 ], [ 11.44190963680199, 48.214114904057887 ], [ 11.44325439730755, 48.214097329971693 ], [ 11.444599156961798, 48.214079739505394 ], [ 11.445943915763944, 48.214062132658995 ], [ 11.447288673713196, 48.21404450943254 ], [ 11.448633430808757, 48.214026869825986 ], [ 11.449978187049842, 48.214009213839411 ], [ 11.451322942435654, 48.213991541472822 ], [ 11.452667696965404, 48.213973852726198 ], [ 11.452693498978173, 48.214873404477906 ], [ 11.452719302156163, 48.215772955861524 ], [ 11.452745106499449, 48.216672506877096 ], [ 11.452770912008107, 48.217572057524713 ], [ 11.45279671868221, 48.218471607804403 ], [ 11.452822526521835, 48.219371157716218 ], [ 11.452848335527056, 48.220270707260212 ], [ 11.452874145697949, 48.221170256436473 ], [ 11.452899957034587, 48.222069805245035 ], [ 11.452925769537048, 48.22296935368594 ], [ 11.454270761952504, 48.22295164493157 ], [ 11.45561575350972, 48.222933919793881 ], [ 11.456960744207903, 48.222916178272868 ], [ 11.458305734046263, 48.222898420368566 ], [ 11.459650723024005, 48.222880646080988 ], [ 11.460995711140338, 48.222862855410135 ], [ 11.462340698394469, 48.222845048356049 ], [ 11.463685684785608, 48.222827224918731 ], [ 11.465030670312958, 48.222809385098202 ], [ 11.466375654975728, 48.222791528894476 ], [ 11.467720638773129, 48.222773656307574 ], [ 11.469065621704365, 48.222755767337517 ], [ 11.470410603768643, 48.222737861984314 ], [ 11.471755584965175, 48.222719940247984 ], [ 11.473100565293164, 48.222702002128543 ], [ 11.474445544751818, 48.222684047625997 ], [ 11.475790523340349, 48.222666076740396 ], [ 11.47713550105796, 48.222648089471726 ], [ 11.47848047790386, 48.222630085820015 ], [ 11.479825453877256, 48.222612065785299 ], [ 11.47985174513793, 48.223511606537514 ], [ 11.479878037586129, 48.224411146921874 ], [ 11.479904331221929, 48.225310686938393 ], [ 11.479930626045409, 48.226210226587163 ], [ 11.479956922056642, 48.227109765868235 ], [ 11.479983219255706, 48.228009304781644 ], [ 11.48000951764268, 48.228908843327467 ], [ 11.480035817217635, 48.229808381505734 ], [ 11.480062117980651, 48.230707919316544 ], [ 11.480088419931805, 48.231607456759889 ], [ 11.480114723071173, 48.232506993835884 ], [ 11.48014102739883, 48.233406530544556 ], [ 11.480167332914853, 48.234306066885978 ], [ 11.480193639619319, 48.235205602860177 ], [ 11.480219947512309, 48.236105138467224 ], [ 11.48024625659389, 48.237004673707197 ], [ 11.480272566864144, 48.237904208580119 ], [ 11.480298878323152, 48.238803743086059 ], [ 11.480325190970982, 48.239703277225061 ], [ 11.480351504807714, 48.24060281099721 ], [ 11.480377819833427, 48.241502344402534 ], [ 11.480404136048193, 48.242401877441104 ], [ 11.480430453452094, 48.243301410112956 ], [ 11.480456772045203, 48.244200942418153 ], [ 11.480483091827598, 48.245100474356768 ], [ 11.480509412799353, 48.246000005928849 ], [ 11.480535734960549, 48.246899537134446 ], [ 11.480562058311257, 48.24779906797361 ], [ 11.480588382851559, 48.248698598446417 ], [ 11.48061470858153, 48.249598128552904 ], [ 11.481960400520268, 48.249580081040349 ], [ 11.483306091583104, 48.24956201713475 ], [ 11.484651781769246, 48.249543936836119 ], [ 11.485997471077898, 48.24952584014445 ], [ 11.487343159508265, 48.249507727059786 ], [ 11.488688847059557, 48.249489597582112 ], [ 11.490034533730974, 48.249471451711493 ], [ 11.491380219521728, 48.249453289447899 ], [ 11.492725904431021, 48.249435110791389 ], [ 11.494071588458061, 48.249416915741953 ], [ 11.495417271602053, 48.249398704299615 ], [ 11.496762953862202, 48.249380476464388 ], [ 11.498108635237717, 48.249362232236287 ], [ 11.499454315727801, 48.249343971615339 ], [ 11.500799995331661, 48.249325694601566 ], [ 11.502145674048506, 48.249307401194983 ], [ 11.503491351877537, 48.249289091395596 ], [ 11.504837028817963, 48.249270765203434 ], [ 11.506182704868991, 48.24925242261849 ], [ 11.507528380029823, 48.249234063640813 ], [ 11.508874054299669, 48.249215688270411 ], [ 11.510219727677734, 48.24919729650729 ], [ 11.511565400163223, 48.249178888351473 ], [ 11.512911071755342, 48.249160463802994 ], [ 11.514256742453298, 48.24914202286184 ], [ 11.5156024122563, 48.249123565528066 ], [ 11.516948081163546, 48.24910509180166 ], [ 11.51829374917425, 48.249086601682656 ], [ 11.519639416287616, 48.249068095171047 ], [ 11.520985082502845, 48.249049572266884 ], [ 11.522330747819151, 48.249031032970159 ], [ 11.523676412235734, 48.249012477280914 ], [ 11.525022075751803, 48.248993905199129 ], [ 11.526367738366565, 48.248975316724874 ], [ 11.527713400079223, 48.248956711858114 ], [ 11.529059060888985, 48.248938090598884 ], [ 11.530404720795056, 48.248919452947227 ], [ 11.531750379796645, 48.248900798903136 ], [ 11.533096037892955, 48.24888212846664 ], [ 11.534441695083192, 48.248863441637731 ], [ 11.534414412990344, 48.247963926596285 ], [ 11.534387132130345, 48.247064411187786 ], [ 11.534359852503112, 48.246164895412242 ], [ 11.534332574108568, 48.245265379269547 ], [ 11.534305296946634, 48.244365862759693 ], [ 11.534278021017229, 48.243466345882581 ], [ 11.534250746320275, 48.242566828638161 ], [ 11.534223472855691, 48.241667311026404 ], [ 11.5341962006234, 48.240767793047233 ], [ 11.53416892962332, 48.239868274700605 ], [ 11.535514346877235, 48.239849575313606 ], [ 11.53685976322412, 48.239830859537641 ], [ 11.538205178663178, 48.239812127372659 ], [ 11.539550593193614, 48.239793378818739 ], [ 11.54089600681464, 48.239774613875859 ], [ 11.542241419525459, 48.239755832544056 ], [ 11.54358683132528, 48.239737034823335 ], [ 11.544932242213306, 48.239718220713719 ], [ 11.546277652188751, 48.239699390215236 ], [ 11.547623061250814, 48.2396805433279 ], [ 11.547595552515579, 48.238781028462142 ], [ 11.547568045023183, 48.23788151322865 ], [ 11.547540538773548, 48.236981997627325 ], [ 11.547513033766593, 48.236082481658144 ], [ 11.547485530002238, 48.235182965321044 ], [ 11.547458027480403, 48.234283448615962 ], [ 11.547430526201008, 48.233383931542853 ], [ 11.547403026163973, 48.232484414101641 ], [ 11.547375527369217, 48.23158489629229 ], [ 11.547348029816661, 48.230685378114757 ], [ 11.548693199049257, 48.230666518704631 ], [ 11.55003836736752, 48.230647642909027 ], [ 11.551383534770657, 48.230628750727981 ], [ 11.552728701257873, 48.230609842161513 ], [ 11.554073866828379, 48.230590917209611 ], [ 11.555419031481378, 48.230571975872337 ], [ 11.556764195216083, 48.230553018149678 ], [ 11.558109358031695, 48.230534044041669 ], [ 11.559454519927426, 48.230515053548309 ], [ 11.56079968090248, 48.230496046669629 ], [ 11.562144840956067, 48.230477023405655 ], [ 11.563490000087395, 48.230457983756381 ], [ 11.564835158295665, 48.230438927721849 ], [ 11.566180315580093, 48.230419855302053 ], [ 11.567525471939879, 48.230400766497056 ], [ 11.568870627374235, 48.230381661306829 ], [ 11.570215781882368, 48.230362539731395 ], [ 11.571560935463483, 48.230343401770803 ], [ 11.572906088116788, 48.230324247425038 ], [ 11.574251239841493, 48.230305076694144 ], [ 11.5755963906368, 48.230285889578127 ], [ 11.576941540501922, 48.230266686077002 ], [ 11.578286689436062, 48.230247466190797 ], [ 11.579631837438431, 48.230228229919504 ], [ 11.580976984508235, 48.230208977263182 ], [ 11.58232213064468, 48.230189708221829 ], [ 11.583667275846976, 48.230170422795453 ], [ 11.585012420114326, 48.23015112098409 ], [ 11.586357563445944, 48.230131802787753 ], [ 11.58770270584103, 48.230112468206457 ], [ 11.587674492990306, 48.229212961401743 ], [ 11.58764628141396, 48.228313454228164 ], [ 11.587618071111907, 48.227413946685687 ], [ 11.587589862084062, 48.226514438774217 ], [ 11.587561654330349, 48.225614930493748 ], [ 11.587533447850682, 48.224715421844188 ], [ 11.587505242644978, 48.223815912825479 ], [ 11.587477038713157, 48.222916403437594 ], [ 11.587448836055142, 48.222016893680447 ], [ 11.587420634670842, 48.221117383553988 ], [ 11.588765537340288, 48.221098036552618 ], [ 11.590110439072269, 48.221078673169671 ], [ 11.591455339865993, 48.221059293405176 ], [ 11.592800239720667, 48.221039897259146 ], [ 11.594145138635497, 48.221020484731596 ], [ 11.595490036609696, 48.221001055822583 ], [ 11.596834933642468, 48.220981610532057 ], [ 11.59817982973302, 48.220962148860103 ], [ 11.599524724880563, 48.220942670806707 ], [ 11.600869619084305, 48.220923176371869 ], [ 11.600898059205521, 48.221822682519218 ], [ 11.600926500611228, 48.222722188297062 ], [ 11.60095494330151, 48.223621693705475 ], [ 11.600983387276445, 48.224521198744519 ], [ 11.60101183253612, 48.225420703414215 ], [ 11.601040279080616, 48.226320207714679 ], [ 11.601068726910016, 48.227219711645915 ], [ 11.601097176024405, 48.228119215207983 ], [ 11.601125626423862, 48.229018718400972 ], [ 11.601154078108472, 48.229918221224892 ], [ 11.601182531078317, 48.230817723679841 ], [ 11.601210985333479, 48.231717225765856 ], [ 11.601239440874043, 48.232616727482984 ], [ 11.601267897700088, 48.233516228831299 ], [ 11.601296355811701, 48.234415729810841 ], [ 11.601324815208963, 48.235315230421662 ], [ 11.601353275891958, 48.236214730663846 ], [ 11.601381737860766, 48.237114230537429 ], [ 11.60141020111547, 48.238013730042461 ], [ 11.601438665656156, 48.238913229178998 ], [ 11.602784036586714, 48.238893710364124 ], [ 11.604129406570578, 48.238874175161179 ], [ 11.605474775606957, 48.238854623570155 ], [ 11.606820143695058, 48.238835055591075 ], [ 11.608165510834088, 48.238815471223958 ], [ 11.609510877023247, 48.238795870468842 ], [ 11.61085624226175, 48.23877625332571 ], [ 11.612201606548803, 48.238756619794607 ], [ 11.613546969883609, 48.238736969875546 ], [ 11.614892332265379, 48.238717303568542 ], [ 11.61486362878953, 48.237817808448199 ], [ 11.614834926610444, 48.236918312959183 ], [ 11.614806225728039, 48.236018817101417 ], [ 11.61477752614223, 48.23511932087488 ], [ 11.614748827852935, 48.234219824279485 ], [ 11.614720130860071, 48.233320327315205 ], [ 11.61469143516355, 48.232420829981962 ], [ 11.614662740763295, 48.231521332279712 ], [ 11.614634047659219, 48.230621834208392 ], [ 11.614605355851239, 48.22972233576796 ], [ 11.615950478396144, 48.22970265710682 ], [ 11.617295599987086, 48.229682962061155 ], [ 11.61864072062327, 48.229663250630949 ], [ 11.619985840303906, 48.229643522816239 ], [ 11.621330959028201, 48.229623778617039 ], [ 11.62267607679536, 48.229604018033349 ], [ 11.624021193604591, 48.229584241065204 ], [ 11.625366309455103, 48.229564447712626 ], [ 11.626711424346102, 48.229544637975629 ], [ 11.628056538276796, 48.229524811854247 ], [ 11.629401651246393, 48.229504969348476 ], [ 11.630746763254102, 48.229485110458349 ], [ 11.63209187429913, 48.229465235183888 ], [ 11.633436984380682, 48.229445343525079 ], [ 11.634782093497968, 48.229425435481993 ], [ 11.636127201650194, 48.229405511054587 ], [ 11.637472308836569, 48.229385570242947 ], [ 11.638817415056298, 48.229365613047051 ], [ 11.640162520308591, 48.229345639466921 ], [ 11.641507624592657, 48.229325649502591 ], [ 11.6428527279077, 48.229305643154063 ], [ 11.64419783025293, 48.229285620421372 ], [ 11.645542931627553, 48.229265581304503 ], [ 11.646888032030775, 48.22924552580352 ], [ 11.64823313146181, 48.229225453918424 ], [ 11.649578229919861, 48.229205365649243 ], [ 11.650923327404133, 48.229185260995962 ], [ 11.652268423913839, 48.229165139958646 ], [ 11.653613519448184, 48.22914500253728 ], [ 11.654958614006375, 48.229124848731914 ], [ 11.654929207052051, 48.228225362166476 ], [ 11.654899801425984, 48.227325875231244 ], [ 11.654870397128084, 48.226426387926139 ], [ 11.65484099415827, 48.225526900251133 ], [ 11.654811592516456, 48.224627412206139 ], [ 11.654782192202555, 48.223727923791138 ], [ 11.654752793216483, 48.222828435006036 ], [ 11.654723395558152, 48.221928945850827 ], [ 11.654693999227481, 48.221029456325397 ], [ 11.654664604224379, 48.220129966429752 ], [ 11.654635210548767, 48.219230476163759 ], [ 11.654605818200553, 48.218330985527437 ], [ 11.654576427179654, 48.217431494520696 ], [ 11.654547037485987, 48.216532003143477 ], [ 11.654517649119464, 48.215632511395739 ], [ 11.654488262079999, 48.214733019277425 ], [ 11.65445887636751, 48.21383352678847 ], [ 11.654429491981906, 48.212934033928818 ], [ 11.65440010892311, 48.212034540698426 ], [ 11.654370727191028, 48.211135047097244 ], [ 11.65434134678558, 48.210235553125173 ], [ 11.654311967706679, 48.209336058782199 ], [ 11.654282589954239, 48.208436564068265 ], [ 11.654253213528175, 48.207537068983299 ], [ 11.654223838428402, 48.20663757352726 ], [ 11.654194464654836, 48.205738077700069 ], [ 11.654165092207387, 48.204838581501697 ], [ 11.654135721085975, 48.203939084932074 ], [ 11.654106351290512, 48.203039587991164 ], [ 11.654076982820914, 48.202140090678881 ], [ 11.652732604207555, 48.202160232102578 ], [ 11.651388224620064, 48.202180357152315 ], [ 11.65004384405923, 48.202200465828064 ], [ 11.648699462525842, 48.202220558129824 ], [ 11.647355080020697, 48.202240634057553 ], [ 11.646010696544579, 48.20226069361123 ], [ 11.644666312098282, 48.202280736790861 ], [ 11.643321926682598, 48.202300763596419 ], [ 11.641977540298315, 48.202320774027861 ], [ 11.640633152946227, 48.202340768085193 ], [ 11.640604024286905, 48.201441266292314 ], [ 11.640574896942519, 48.200541764128182 ], [ 11.640545770912993, 48.199642261592707 ], [ 11.640516646198234, 48.198742758685832 ], [ 11.640487522798162, 48.197843255407534 ], [ 11.64045840071269, 48.196943751757729 ], [ 11.640429279941735, 48.196044247736367 ], [ 11.640400160485212, 48.195144743343391 ], [ 11.640371042343038, 48.194245238578773 ], [ 11.640341925515125, 48.193345733442406 ], [ 11.64031281000139, 48.192446227934269 ], [ 11.640283695801752, 48.191546722054305 ], [ 11.640254582916121, 48.190647215802443 ], [ 11.640225471344415, 48.18974770917864 ], [ 11.640196361086549, 48.188848202182861 ], [ 11.64016725214244, 48.187948694814999 ], [ 11.640138144512003, 48.187049187075033 ], [ 11.640109038195151, 48.186149678962913 ], [ 11.640079933191801, 48.185250170478568 ], [ 11.64005082950187, 48.184350661621934 ], [ 11.641394740083197, 48.184330675749194 ], [ 11.64273864969805, 48.18431067350901 ], [ 11.644082558345644, 48.184290654901424 ], [ 11.645426466025185, 48.184270619926465 ], [ 11.646770372735888, 48.184250568584126 ], [ 11.648114278476957, 48.184230500874456 ], [ 11.649458183247608, 48.184210416797463 ], [ 11.650802087047047, 48.184190316353131 ], [ 11.652145989874487, 48.184170199541541 ], [ 11.653489891729139, 48.184150066362655 ], [ 11.654833792610212, 48.184129916816538 ], [ 11.656177692516914, 48.184109750903175 ], [ 11.657521591448461, 48.184089568622618 ], [ 11.658865489404059, 48.184069369974864 ], [ 11.660209386382919, 48.184049154959908 ], [ 11.661553282384251, 48.184028923577834 ], [ 11.662897177407267, 48.184008675828586 ], [ 11.664241071451176, 48.183988411712249 ], [ 11.66558496451519, 48.183968131228795 ], [ 11.666928856598519, 48.18394783437828 ], [ 11.668272747700369, 48.18392752116069 ], [ 11.66961663781996, 48.183907191576075 ], [ 11.670960526956492, 48.183886845624421 ], [ 11.672304415109181, 48.183866483305785 ], [ 11.673648302277236, 48.183846104620152 ], [ 11.674992188459871, 48.183825709567557 ], [ 11.676336073656291, 48.183805298148016 ], [ 11.67767995786571, 48.183784870361563 ], [ 11.679023841087334, 48.183764426208199 ], [ 11.680367723320378, 48.183743965687945 ], [ 11.681711604564054, 48.18372348880083 ], [ 11.683055484817565, 48.183702995546874 ], [ 11.684399364080127, 48.183682485926077 ], [ 11.685743242350952, 48.18366195993849 ], [ 11.687087119629245, 48.183641417584099 ], [ 11.688430995914221, 48.183620858862938 ], [ 11.689774871205087, 48.18360028377505 ], [ 11.691118745501056, 48.183579692320421 ], [ 11.692462618801338, 48.183559084499073 ], [ 11.693806491105143, 48.183538460311041 ], [ 11.695150362411681, 48.183517819756325 ], [ 11.696494232720166, 48.183497162834975 ], [ 11.697838102029802, 48.18347648954699 ], [ 11.699181970339804, 48.1834557998924 ], [ 11.700525837649383, 48.183435093871203 ], [ 11.701869703957748, 48.18341437148343 ], [ 11.703213569264109, 48.183393632729114 ], [ 11.704557433567677, 48.183372877608264 ], [ 11.705901296867664, 48.183352106120893 ], [ 11.707245159163278, 48.183331318267044 ], [ 11.707214865506687, 48.182431829899343 ], [ 11.707184573217042, 48.181532341158267 ], [ 11.707154282294253, 48.180632852043772 ], [ 11.707123992738232, 48.179733362555815 ], [ 11.707093704548896, 48.178833872694341 ], [ 11.70706341772615, 48.177934382459263 ], [ 11.707033132269911, 48.17703489185056 ], [ 11.707002848180091, 48.176135400868176 ], [ 11.706972565456601, 48.175235909512026 ], [ 11.706942284099352, 48.174336417782072 ], [ 11.706912004108258, 48.173436925678267 ], [ 11.70688172548323, 48.172537433200539 ], [ 11.706851448224182, 48.171637940348845 ], [ 11.706821172331024, 48.170738447123142 ], [ 11.706790897803669, 48.169838953523339 ], [ 11.70676062464203, 48.168939459549378 ], [ 11.706730352846018, 48.16803996520126 ], [ 11.706700082415546, 48.167140470478884 ], [ 11.706669813350524, 48.166240975382202 ], [ 11.706639545650869, 48.165341479911163 ], [ 11.705296159629782, 48.165362259260377 ], [ 11.703952772605707, 48.165383022249777 ], [ 11.702609384579436, 48.165403768879351 ], [ 11.701265995551752, 48.16542449914909 ], [ 11.699922605523447, 48.165445213058952 ], [ 11.698579214495311, 48.16546591060893 ], [ 11.697235822468128, 48.165486591799002 ], [ 11.695892429442688, 48.165507256629148 ], [ 11.694549035419781, 48.165527905099353 ], [ 11.693205640400196, 48.165548537209602 ], [ 11.69317561209353, 48.164649037128939 ], [ 11.69314558514133, 48.163749536674004 ], [ 11.693115559543509, 48.162850035844748 ], [ 11.693085535299977, 48.161950534641115 ], [ 11.693055512410648, 48.161051033063032 ], [ 11.693025490875437, 48.160151531110465 ], [ 11.692995470694253, 48.159252028783335 ], [ 11.692965451867012, 48.158352526081607 ], [ 11.692935434393627, 48.157453023005232 ], [ 11.692905418274011, 48.156553519554116 ] ] ] } }
        //     ]
        // }
        //
        //
        // // 将GeoJSON对象添加到地图上
        // L.geoJSON(geojson, {
        //     onEachFeature: function (feature, layer) {
        //         // 如果存在popupContent属性，则添加一个弹出窗口
        //         if (feature.properties && feature.properties.popupContent) {
        //             layer.bindPopup(feature.properties.popupContent);
        //         }
        //     }
        // }).addTo(mymap);


    }

    // update(geojson);
    Promise.all([
        d3.json('output_file.geojson'),
        d3.csv('shap_values_grouped_with features.csv')
    ]).then(function([geojsonData, csvData]) {
        // 首先更新地图
        update(geojsonData);

        // 然后在同一个SVG中绘制CSV数据的圆形
        drawCircles(csvData);

        let selectedShapes = []; // 存储用户选择的变量名
        function legend_build(mode){
            const filter_list=['Long',	'Lat',	'pop','']

            var  shapeVars
            if (mode==='shap'){
                 shapeVars = Object.keys(csvData[0]).filter(key => key.startsWith('SHAP'));
                 var right_px='10px'

            }else {
                 shapeVars = Object.keys(csvData[0]).filter(key =>!key.startsWith('SHAP') && !filter_list.includes(key));
                var right_px='260px'
            }
            var one_quarter={}
            shapeVars.forEach(shapvar=>{
                one_quarter[shapvar]=calculateQuartiles(csvData,shapvar)
            })
            console.log(one_quarter)

            // 创建图例项
            let legend = d3.select('.frame').append('div')
                .attr('class', 'legend')
                .style('position', 'absolute')
                .style('right', right_px)
                .style('top', '10px');
            console.log(shapeVars)
            legend.selectAll('.legend-item')
                .data(shapeVars)
                .enter().append('div')
                .text(d => d)
                .style('cursor', 'pointer')
                .style('margin', '5px')
                .on('click', function(event, d) {
                    console.log(d3.select(this).attr('class'));
                    let index = selectedShapes.indexOf(d);
                    if (index > -1) {
                        selectedShapes.splice(index, 1); //
                        // 变为默认颜色
                        d3.select(this).classed('selected', false);

                    } else if (selectedShapes.length < 2) {
                        d3.select(this).classed('selected', true);
                        console.log(d3.select(this).attr('class'));
                        selectedShapes.push(d);
                        // 背景变为粉色


                    } else {
                        alert('You can select up to 2 variables.');
                    }
                    updateCircles(mode,one_quarter);
                });

        }
        legend_build('shap')
        legend_build('')
        // 提取以shap开头的列名

        function calculateQuartiles(csvData, columnName) {
            // 从csvData中提取指定列的所有值，并转换为数字
            const columnValues = csvData.map(row => Number(row[columnName])).filter(value => !isNaN(value)).sort((a, b) => a - b);

            // 计算四分位数的位置
            const q1 = columnValues[Math.floor((columnValues.length - 1) / 4)];
            const q2 = columnValues[Math.floor((columnValues.length - 1) / 2)]; // 即中位数
            const q3 = columnValues[Math.floor((columnValues.length - 1) * 3 / 4)];
            const q4 = columnValues[columnValues.length - 1]; // 最后一个值

            // 构建并返回结果字典
            return {

                    '1/4': q1,
                    '2/4': q2,
                    '3/4': q3,
                    '4/4': q4

            };
        }


        function updateCircles(mode,one_quarter) {
            d3.select('#content g.map').selectAll('circle')
                .style('fill', function(d) {
                    if (mode!=='shap'){
                        // console.log(selectedShapes,d)
                        try {
                            // 尝试执行的代码

                            var conditions = selectedShapes.map(shape => +d[shape] > one_quarter[shape]['1/4']);

                        } catch (error) {
                            // 如果有错误发生，执行这里的代码
                            console.error(error,selectedShapes); // 打印错误信息
                        }

                    } else {
                        // console.log(selectedShapes,d)
                        var conditions = selectedShapes.map(shape => +d[shape] > 0);
                    }

                    if (conditions.every(cond => cond === true)) {
                        return 'red'; // 两个变量都大于0
                    } else if (conditions.every(cond => cond === false)) {
                        return 'black'; // 两个变量都小于0
                    } else if (selectedShapes.length > 0 && conditions[0] === true) {
                        return 'gray'; // 至少一个大于0
                    } else if (selectedShapes.length > 0 && conditions[1] === true) {
                        return 'blue'; // 至少一个大于0
                    }
                    return 'red'; // 默认颜色，或者根据需要调整
                });
        }
    }).catch(function(error) {
        console.log(error);
        alert("Failed to load the data files!");
    });

    function drawCircles(csvData) {
        let circles = d3.select('#content g.map')
            .selectAll('circle')
            .data(csvData);

        circles.enter()
            .append('circle')
            .attr('cx', function(d) { return projection([+d.Long, +d.Lat])[0]; })
            .attr('cy', function(d) { return projection([+d.Long, +d.Lat])[1]; })
            .attr('r', function(d) { return Math.sqrt(+d.pop) / 5; }) // 假设pop值足够小，或者这里可以进行适当的数值缩放
            .style('fill', 'red') // 可以自定义颜色
            .style('opacity', 0.5);
    }
    // 假设csvData是通过d3.csv加载的数据



</script>
</body>
</html>
